//
//  ActivityHistoryView.swift
//  Strava_Activity_History_View
//
//  Created by Jean-Marc Boullianne on 12/29/20.
//

import SwiftUI

struct ActivityHistoryView: View {
    
    @State var selectedIndex: Int = 0
    
    var body: some View {
        VStack(spacing: 16) {
            // Stats
            ActivityHistoryText(logs: ActivityTestData.testData, selectedIndex: $selectedIndex)
            
            // Graph
            ActivityGraph(logs: ActivityTestData.testData, selectedIndex: $selectedIndex)
            Spacer()
            
        }.padding()
    }
}

struct ActivityHistoryView_Previews: PreviewProvider {
    static var previews: some View {
        ActivityHistoryView()
    }
}
